#!/usr/bin/env node
/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-cli-policies

var g = require('strong-globalize')();

module.exports = {
  name: 'subscriptions',
  version: require('../package.json').version,
  path: __filename,
  isBuiltin: true,
  topics: topics,
};

function topics() {
  return [ {
    name: 'subscriptions',
    helpInfo: g.f('apic_subscriptions_list_help.txt'),
    commands: [
      {
        command: 'list',
        loginRequired: 'org',
        defaultType: true,
        aliases: [ 'subscriptions' ],
        helpInfo: g.f('apic_subscriptions_list_help.txt'),
        action: function(opts) {
          return require('./plugin-impl').list(opts);
        },
        type: 'catalog',
        options: [
          { name: 'product', rune: 'p' },
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.catalog.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.catalog.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'host', default: '$APIC_CONFIG$.catalog.host', required: true },
        ],
      },
      {
        command: 'list',
        loginRequired: 'org',
        helpInfo: g.f('apic_subscriptions_list_help.txt'),
        action: function(opts) {
          return require('./plugin-impl').list(opts);
        },
        type: 'space',
        options: [
          { name: 'space', type: 'name', default: '$APIC_CONFIG$.space.data.spaces', required: true },
          { name: 'product', rune: 'p' },
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.space.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.space.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'host', default: '$APIC_CONFIG$.space.host', required: true },
        ],
      },
      {
        command: 'list',
        loginRequired: 'org',
        helpInfo: g.f('apic_subscriptions_list_help.txt'),
        action: function(opts) {
          return require('./plugin-impl').list(opts);
        },
        type: 'consumer-org',
        options: [
          { name: 'application', rune: 'a', type: 'name' },
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.catalog.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.catalog.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'host', default: '$APIC_CONFIG$.catalog.host', required: true },
        ],
      },
      {
        command: 'get <name>',
        loginRequired: 'org',
        defaultType: true,
        helpInfo: g.f('apic_subscriptions_get_help.txt'),
        action: function(name, opts) {
          return require('./plugin-impl').get(name, opts);
        },
        type: 'catalog',
        options: [
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.catalog.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.catalog.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'host', default: '$APIC_CONFIG$.catalog.host', required: true },
        ],
      },
      {
        command: 'get <name>',
        loginRequired: 'org',
        helpInfo: g.f('apic_subscriptions_get_help.txt'),
        action: function(name, opts) {
          return require('./plugin-impl').get(name, opts);
        },
        type: 'space',
        options: [
          { name: 'space', type: 'name', default: '$APIC_CONFIG$.space.data.spaces', required: true },
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.space.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.space.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'host', default: '$APIC_CONFIG$.space.host', required: true },
        ],
      },
    ],
  },
  ];
};

