#!/usr/bin/env node
/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-cli-policies


var subscriptions = require('apiconnect-apim-client').subscriptions;
var listFormat = require('./formatter').listFormat;
var getFormat = require('./formatter').getFormat;

module.exports.list = list;
function list(options) {
  if (!options.scope) {
    // default to org
    options.scope = 'catalog';
  }

  return subscriptions.list(options).then(function(result) {
    listFormat(result, options);
  });
}

module.exports.get = get;
function get(name, options) {
  if (!options.scope) {
    // default to org
    options.scope = 'catalog';
  }

  options.name = name;
  return subscriptions.get(options).then(function(result) {
    getFormat(result, options);
  });
}

